
package de.ivu.elect.presentation.wahl.exchange;

import de.ivu.elect.business.security.UseCasePermission;

public class NlExportArtefaktNachSystemExportstatusSearchExportDescription extends AbstractNlExportArtefaktNachSystemExportstatusBulkExportDescription {

  private static final long serialVersionUID = 1L;

  private static final String EXPORT_NAME = "file.format.dokument.nach.system.exportstatus.search";

  public NlExportArtefaktNachSystemExportstatusSearchExportDescription() {
    super();
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.CUSTOMER_3;
  }

  @Override
  public String getDateiExportName() {
    return EXPORT_NAME;
  }

  @Override
  public String getExportSearchViewId() {
    return NlExportArtefaktNachSystemExportstatusSearchExportView.VIEW_ID;
  }
}
